Category:
ADTF Display Toolbox 3.5.0

Requester's Priority: Normal Platform:

Support Level: 2nd Level Topic: ADTF::MediaDescription

Resolution: Workaround Available FAQ Links:

Description

Supportanfrage

Wie kdnnen Signale am Outputpin des Can Config Decoder Filters im Signal Scope angezeigt werden?
Ich verwende ADTF 3.7, die Device Toolbox 3.2. und die Display Toolbox 3.5.
Als ADTF-Config nutze ich das Beispiel aus der Device Toolbox und habe folgende Services hinzugeflgt:

image003.jpg
und provide_signals beim Media Description Service aktiviert. AuBerdem habe ich beim Can FD Config Decoder Filter
"DumpSignalsUpdate" auf true gesetzt.

Im Signal Tree View Filter werden aber keine Signale aufgelistet:
image004.jpg

Muss ich noch etwas anderes einstellen?
Danke.

Lésung

In der vorherigen Devicetoolbox hatten wir eine automatische provide-Methodik integriert. Diese Funktionalitat ist aktuell noch nicht
Ubertragen worden (ADEVTB-1827), aber sie kénnen es auch manuell integrieren.

1. ADTF Media Description Service muss mit geladen werden und provide_signals auf true (Dieser sucht automatisch in den
Ordner ADTF_DIR/mediadescriptions und ADTF_DIR/addons/mediadescriptions nach dort hinterlegten *.description-Dateien)

2. Uber den SCFE sich die description-Datei erzeugen lassen (File->Export Mediadescription)

3. Diese Datei dementsprechend in einen der Ordner legen

4. Jetzt sollten auch die DDL-Signale im Tree-View auch angezeigt werden

History

#1 - 2020-06-19 09:14 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to DeviceTB::CANFD

- Customer set to AUDI

- Department set to AST

- Affected Products ADTF 3.7.0, ADTF Device Toolbox 3.2.0, ADTF Display Toolbox 3.5.0 added

#2 - 2020-06-19 10:02 - hidden

- Description updated

#4 - 2020-06-23 16:30 - hidden

- Status changed from In Progress to Customer Feedback Required
Geht es hier um die Darstellung der CAN-Signale oder der decodierten Signale?

CAN-Signale

1. Hinzufligen des CAN-Signal Providers
2. Signal-Tree-View-Service

Dann sollten die Signale im Tree View dargestellt werden und auch im in den Ul-Service gezogen werden kénnen

#5 - 2020-06-23 17:15 - hidden
- File image001.jpg added
- File image002.jpg added

Sehr geehrter Support,

es gut um die Darstellung der decodierten Signale. Bei mir werden keine Signale im Signal Tree View angezeigt:
[cid:image001.jpg@01D6497F.DB389100]

Ich habe sowohl den Signal Tree Service als auch den Media Description Service im Runlevel System hinzugefiigt:

[cid:image002.jpg@01D6497F.DB389100]

Als ADTF-Config habe ich das Beispiel aus der Device Toolbox genutzt.
Viele GruBe

Dirk

#6 - 2020-06-23 17:37 - hidden

Ich wiirde aber zumindest erwarten, dass die CAN Signale angezeigt werden.
Fur die Darstellung der decodierten Signale werden ich Nachsprache mit meinem Kollegen halten

#7 - 2020-06-23 18:15 - hidden

Im CAN-FD Trace View sehe ich auch CAN-Signale nur nicht im Signal Tree View fiir die dekodierten Signale.

Viele GriBe

#8 - 2020-06-25 09:45 - hidden

Hallo Herr Koltermann,

in der vorherigen Devicetoolbox hatten wir eine automatische provide-Methodik integriert. Diese Funktionalitat ist aktuell noch nicht Gbertragen
worden, aber sie kdnnen es auch manuell integrieren.

1. ADTF Media Description Service muss mit geladen werden und provide_signals auf true (Dieser sucht automatisch in den Ordner
ADTF_DIR/mediadescriptions und ADTF_DIR/addons/mediadescriptions nach dort hinterlegten *.description-Dateien)

2. Uber den SCFE sich die description-Datei erzeugen lassen (File->Export Mediadescription)

3. Diese Datei dementsprechend in einen der Ordner legen

4. Jetzt sollten auch die DDL-Signale im Tree-View auch angezeigt werden

#9 - 2020-06-25 11:00 - hidden

Alles klar. Danke. Damit funktioniert es. Ich hatte nicht daran gedacht, dass der DDL-File fehlen kénnte*
Das Ticket kann geschlossen werden.

Viele GriBe

Dirk

#10 - 2020-06-25 11:23 - hidden
- Project changed from 11 to Public Support

- Subject changed from Anzeige von Ausgangssignalen des Can Confic Codec im Signal Scope View to Access ddl output data from <BUS> Config
Decoder Filter in Signal View

- Description updated

- Status changed from Customer Feedback Required to To Be Closed
- Private changed from Yes to No
- Topic changed from DeviceTB::CANFD to ADTF::MediaDescription
- Resolution set to Workaround Available

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADEVTB-1827

#11 - 2020-07-07 12:50 - hidden
- Status changed from To Be Closed to Closed
